<nav class="navbar navbar-dark navbar-expand-md jh-navbar">
    <div class="jh-logo-container float-left">
        <a class="jh-navbar-toggler d-lg-none float-right" href="javascript:void(0);" data-toggle="collapse"
            data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
            aria-label="Toggle navigation" (click)="toggleNavbar()">
            <i class="fa fa-bars"></i>
            <i class="fa fa-times" aria-hidden="true"></i>
        </a>
        <a class="hide-menu" (click)="hideMenu()" href="javascript:void(0);">
            <i class="fa fa-bars"></i>
        </a>
        <a class="navbar-brand logo float-left" routerLink="/" (click)="collapseNavbar()">
            <span class="logo-img"></span>
            <span jhiTranslate="global.title" class="navbar-title">SBS</span> <span
                class="navbar-version">{{version}}</span>
        </a>
    </div>
    <ul class="nav navbar-nav ml-auto" [ngSwitch]="isAuthenticated()">
        <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
            <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
                <span>
                    <i class="fa fa-home" aria-hidden="true"></i>
                    <span jhiTranslate="global.menu.home">Home</span>
                </span>
            </a>
        </li>
        <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
        <li *jhiHasAnyAuthority="'ROLE_ADMIN'" ngbDropdown class="nav-item dropdown pointer" routerLinkActive="active"
            [routerLinkActiveOptions]="{exact: true}">
            <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu">
                <span>
                    <i class="fa fa-user-plus" aria-hidden="true"></i>
                    <span jhiTranslate="global.menu.admin.main">Administration</span>
                </span>
            </a>
            <ul class="dropdown-menu" ngbDropdownMenu>
                <li>
                    <a class="dropdown-item" routerLink="user-mediator" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-user" aria-hidden="true"></i>
                        <span>User Application</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="user-management" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-user" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.userManagement">User management</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="purchasing-export" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-user" aria-hidden="true"></i>
                        <span>export purchasing</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="purchasing-item-export" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-user" aria-hidden="true"></i>
                        <span>export purchasing item</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="jhi-metrics" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-tachometer" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.metrics">Metrics</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="jhi-tracker" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-eye" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.tracker">User tracker</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="jhi-health" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-heart" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.health">Health</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="jhi-configuration" routerLinkActive="active"
                        (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-list" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.configuration">Configuration</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="audits" routerLinkActive="active" (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-bell" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.audits">Audits</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" routerLink="logs" routerLinkActive="active" (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-tasks" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.logs">Logs</span>
                    </a>
                </li>
                <li *ngIf="swaggerEnabled">
                    <a class="dropdown-item" routerLink="docs" routerLinkActive="active" (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-book" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.apidocs">API</span>
                    </a>
                </li>
                <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
            </ul>
        </li>
        <li ngbDropdown class="nav-item dropdown pointer" *ngIf="languages">
            <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);"
                id="languagesnavBarDropdown" *ngSwitchCase="true">
                <span>
                    <i class="fa fa-flag" aria-hidden="true"></i>
                    <span jhiTranslate="global.menu.language">Language</span>
                </span>
            </a>
            <ul class="dropdown-menu" ngbDropdownMenu *ngIf="languages.length > 1">
                <li *ngFor="let language of languages">
                    <a class="dropdown-item" [jhiActiveMenu]="language" href="javascript:void(0);"
                        (click)="changeLanguage(language);collapseNavbar();">{{language | findLanguageFromKey}}</a>
                </li>
            </ul>
        </li>
        <li ngbDropdown class="nav-item dropdown pointer" routerLinkActive="active"
            [routerLinkActiveOptions]="{exact: true}">
            <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu"
                *ngSwitchCase="true" (click)="collapseNavbar()">
                <span *ngIf="!getImageUrl()">
                    <i class="fa fa-user" aria-hidden="true"></i>
                    <span jhiTranslate="global.menu.account.main">
                        Account
                    </span>
                </span>
                <!-- <span *ngIf="getImageUrl()">
                    <img [src]="getImageUrl()" class="profile-image img-circle" alt="Avatar">
                </span> -->
            </a>
            <ul class="dropdown-menu dropdown-menu-right" ngbDropdownMenu>
                <li *ngSwitchCase="true">
                    <a class="dropdown-item" routerLink="settings" routerLinkActive="active" (click)="collapseNavbar()">
                        <i class="fa fa-user" aria-hidden="true"></i>
                        <span>Profile</span>
                    </a>
                </li>
                <li *ngSwitchCase="true">
                    <a class="dropdown-item" routerLink="password" routerLinkActive="active" (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-clock-o" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.account.password">Password</span>
                    </a>
                    <a class="dropdown-item" routerLink="private-password" routerLinkActive="active"
                        (click)="collapseNavbar()" *jhiHasAnyMenu="['PRIVATE_PASSWORD']">
                        <i class="fa fa-fw fa-clock-o" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.account.privatepassword">Private Password</span>
                    </a>
                </li>
                <li *ngSwitchCase="true">
                    <a class="dropdown-item" (click)="backWO()" id="logout1" [hidden]="idPlant === 'SMK' || idPlant === 'SBS' || idPlant === undefined">
                        <i class="fa fa-fw fa-sign-out" aria-hidden="true"></i>
                        <span>Login Web Order</span>
                    </a>
                    <a class="dropdown-item" (click)="logout()" id="logout">
                        <i class="fa fa-fw fa-sign-out" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.account.logout">Sign out</span>
                    </a>
                </li>
                <li *ngSwitchCase="false">
                    <a class="dropdown-item" (click)="login()" id="login">
                        <i class="fa fa-fw fa-sign-in" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.account.login">Sign in</span>
                    </a>
                </li>
                <li *ngSwitchCase="false">
                    <a class="dropdown-item" routerLink="register" routerLinkActive="active" (click)="collapseNavbar()">
                        <i class="fa fa-fw fa-user-plus" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.account.register">Register</span>
                    </a>
                </li>
            </ul>
        </li>
    </ul>

    <div class="notification-mobile notification-wrapper-logout d-lg-none d-md-block">
        <a class="notification-ball" (click)="logout();">
            <i class="fa fa-fw fa-sign-out" aria-hidden="true"></i>
        </a>
    </div>

    <!-- Notification Section-->
    <div class="notification-wrapper">
        <a href="javascript:void(0);" class="notification-ball" id="notification-ball">
            <i class="fa fa-bell-o"></i>
        </a>
        <span class="notification-badge">5</span>
        <div class="notification-content">
            <div class="notification-header">
                You have 5 notifications
            </div>
            <div class="notification-body">
                <div class="notification-item" *ngFor="let item of notification">
                    <a href="#">
                        <i class="fa fa-info-circle" aria-hidden="true"></i> {{ item.name }}
                    </a>
                </div>
            </div>
        </div>
    </div>

   
</nav>